#!/bin/sh
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini
homescreen_p_lc=$CurrentSkin/homescreen_p.lc.ini


sho()
{
showQ "设置完成" "刷新后生效，你确认要现在刷新吗？" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "返回程序" "请稍后手动刷新" 0
exec $mypath/location.sh
exit 0
fi

}

showRadio "位置设置" "" "运营商左右移动" "运营商和时间上下移动" "日期上下移动" "时间和日期左右移动" "备份（强烈建议先备份）" "恢复" 
case $? in
0)
exec $mypath/index.sh
;;
1)
cat $homescreen_p  | sed -e'/\[Idle\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Padding_Left\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Padding_Left\>\ = //"`
rm /tmp/homescreen_p1.ini
showSlider "运营商左右位置"  "（小为左移，大为右移，-25隐藏）
中间数值为当前位置值" -30 200  $t
a=$?
if [ "$a" = "0" ]	
then
exec $mypath/location.sh
elif [ "$a" -ge "226" ]
then
a=$((a-256))
else
a=$a
fi

showNotify "" "正在设置" 0
cat $homescreen_p  | sed "/Idle/,/\<Padding_Left\>/s/\<Padding_Left\>\ =\ .*/Padding_Left\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)
cat $homescreen_p  | sed -e'/\[Idle\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Spacing_V1\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Spacing_V1\>\ = //"`
rm /tmp/homescreen_p1.ini
showSlider "运营商和时间上下位置"  "（小为上移，大为下移）
中间数值为当前位置值" 1 300  $t
a=$?
if [ "$a" = "0" ]	
then
exec $mypath/location.sh
fi

showNotify "" "正在设置" 0
cat $homescreen_p  | sed "/Idle/,/\<Spacing_V1\>/s/\<Spacing_V1\>\ =\ .*/Spacing_V1\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
3)
cat $homescreen_p  | sed -e'/\[Idle\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Padding_Bottom\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Padding_Bottom\>\ = //"`
rm /tmp/homescreen_p1.ini
showSlider "日期上下位置"  "（小为下移，大为上移）
中间数值为当前位置值" 1 300  $t
a=$?
if [ "$a" = "0" ]	
then
exec $mypath/location.sh
fi

showNotify "" "正在设置" 0
cat $homescreen_p  | sed "/Idle/,/\<Padding_Bottom\>/s/\<Padding_Bottom\>\ =\ .*/Padding_Bottom\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
4)
cat $homescreen_p  | sed -e'/\[Idle\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Padding_Right\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Padding_Right\>\ = //"`
rm /tmp/homescreen_p1.ini
showSlider "时间和日期左右位置"  "（小为右移，大为左移）
中间数值为当前位置值" 1 200  $t
a=$?
if [ "$a" = "0" ]	
then
exec $mypath/location.sh
fi

showNotify "" "正在设置" 0
cat $homescreen_p  | sed "/Idle/,/\<Padding_Right\>/s/\<Padding_Right\>\ =\ .*/Padding_Right\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
5)showQ "备份" "备份当前配置文件，如果你调整失败可以立刻还原" 1
if [ "0" = "$?" ]   
then
exec $mypath/location.sh
fi
showNotify "" "正在备份" 0
cp -f $homescreen_p $homescreen_p_lc
showNotify "" "备份成功" 0
exec $mypath/location.sh

;;
6)showQ "设置" "您确认要恢复为原始位置吗？本操作有可能会覆盖其他设置" 1
if [ "0" = "$?" ]   
then
exec $mypath/location.sh
fi
showNotify "" "正在恢复" 0
mv -f $homescreen_p_lc $homescreen_p

sho
;;
*)
exit 0
;;
esac